Name: powerstatemgr
Summary: Provides program state management and user services API
Version: 1.0.1
Release: 2.16.moblin2
License: LGPL
Group: System Environment/Base
URL: http://opensource.windriver.com
Source: powerstatemgr-1.0.1.tar.gz
Patch0: fix-root-install.patch
Patch1: permissions.patch
BuildRequires: dbus-glib-devel
Requires: dbus dbus-glib
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Program State Managemer provides a mechanism to group and manage run-level
states of individual processes or a group of processes based on predefined rules
and policies.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
/etc/dbus-1/system.d/PSM.conf
/usr/sbin/psmd
%changelog
* Tue Feb 24 2009 Anas Nashif <anas.nashif@intel.com> 1.0.1
- Added missing patch
* Sun Jan 25 2009 Anas Nashif <anas.nashif@intel.com> 1.0.1
- Initial import into Moblin
